Subject: bug#39926: Regression introduced by Shepherd 0.7.0 ('make check-system TESTS=btrfs-root-os' fails)

From: Ludovic Courtès <[email-masked]>
Date: Sat, 07 Mar 2020 22:36:50 +0100

Hi again!

Ludovic Courtès <[email-masked]> skribis:

> The broken udev rule is ‘64-btrfs.rules’ in eudev:
>
> # reconsider pending devices in case when multidevice volume awaits
> ENV{ID_BTRFS_READY}=="1", RUN+="${exec_prefix}/bin/udevadm trigger -s block -p ID_BTRFS_READY=0"
>
> … where “${exec_prefix}” is expanded from “@bindir@”, a classical
> issue that we should report upstream.  :-)
>
> In the meantime, the following patch should solve the problem.  I’m
> running the test now, and if it passes and you’re fine with it, I’ll
> commit it.

I pushed the patch as 24a4a635fd76a91463c75cfe615929ec482cc2f6.

It doesn’t solve the “btrfs-root-os” bug though.  :-/

I noticed that it’s the installation.drv that fails, not the basic.drv,
which is why we see “gnu” as the host name.  The weird thing is that it
fails after ‘reboot’, so I’m not sure what that means.  To be continued…

Thanks,
Ludo’.